package cn.iselab.mooctest.user.mapper;

import cn.iselab.mooctest.user.model.BankAccountInfo;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @Description: 作用描述
 * @Author: xuexb
 * @CreateDate: 19-2-25$ 下午3:26$
 */
@Transactional
public interface BankAccountInfoDao extends CrudRepository<BankAccountInfo, Long>, JpaSpecificationExecutor<BankAccountInfo> {
    BankAccountInfo findBankAccountInfoByUserId(Long userId);
}
