package cn.iselab.mooctest.user.mapper;

import cn.iselab.mooctest.user.model.BankAccountInfo;
import cn.iselab.mooctest.user.model.Configuration;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;

import javax.transaction.Transactional;

/**
 * @Description: 配置项
 * @Author: guochao
 */
@Transactional
public interface ConfigurationDao extends CrudRepository<Configuration, Long>, JpaSpecificationExecutor<Configuration> {
    Configuration findByName(String name);

    @Override
    Iterable<Configuration> findAll();
}
