package cn.iselab.mooctest.user.mapper;

import cn.iselab.mooctest.user.model.User2Integral;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @Author ROKG
 * @Description
 * @Date: Created in 下午7:25 2018/2/12
 * @Modified By:
 */
@Transactional
public interface User2IntegralDao extends CrudRepository<User2Integral, Long> ,JpaSpecificationExecutor<User2Integral> {

    List<User2Integral> findByUserId(long userId);

    List<User2Integral> findByUserIdAndAndTypeAndSource(long userId, long type, String source);
}
