package cn.iselab.mooctest.user.rpc;

import cn.iselab.mooctest.rpc.user.api.WechatService;
import cn.iselab.mooctest.rpc.user.data.UserDTO;
import cn.iselab.mooctest.rpc.user.data.UserWechatDTO;
import cn.iselab.mooctest.user.web.logic.WechatLogic;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Author ROKG
 * @Description
 * @Date: Created in 下午3:26 2018/4/17
 * @Modified By:
 */
@Service(version = "1.0.0")
public class WechatRPC implements WechatService {

    @Autowired
    WechatLogic wechatLogic;

    @Override
    public UserWechatDTO loginByCode(String code){
        return wechatLogic.getUserByCode(code);
    }

    @Override
    public UserDTO setUserWechat(UserWechatDTO dto){
        return wechatLogic.setUserWechat(dto);
    }
}
